
From: Andrew Morton <akpm@osdl.org>

Make the struct initialisers work with gcc-2.95.x.

Cc: Henk <Henk.Vergonet@gmail.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/usb/input/yealink.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/usb/input/yealink.h~new-driver-for-yealink-usb-p1k-phone-fixes drivers/usb/input/yealink.h
--- 25/drivers/usb/input/yealink.h~new-driver-for-yealink-usb-p1k-phone-fixes	2005-06-25 02:34:14.000000000 -0700
+++ 25-akpm/drivers/usb/input/yealink.h	2005-06-25 02:34:14.000000000 -0700
@@ -211,15 +211,15 @@ enum u16 {
 #define _LOC(k,l)	{ .a = (k), .m = (l) }
 #define _SEG(t, v, a, am, b, bm, c, cm, d, dm, e, em, f, fm, g, gm)	\
 	{ .type	= (t), .value = (v),					\
-	  .u.s = {	_LOC(a, am), _LOC(b, bm), _LOC(c, cm),		\
-		        _LOC(d, dm), _LOC(e, em), _LOC(g, gm), _LOC(f, fm) } }
+	  .u = { .s = {	_LOC(a, am), _LOC(b, bm), _LOC(c, cm),		\
+		        _LOC(d, dm), _LOC(e, em), _LOC(g, gm),		\
+			_LOC(f, fm) } } }
 #define _PIC(t, v, h, hm, n)						\
 	{ .type	= (t), .value = (v),					\
- 	  .u.p = { .name = (n), .a = (h), .m = (hm) } }
+ 	  .u = { .p = { .name = (n), .a = (h), .m = (hm) } } }
 
 static struct lcd_segment_map lcdMap[] = {
 #include "yealink.h"
 };
 
 #endif /* _REGISTER_TABLES */
-
_
